%define pkgver %(echo %version | cut -d. -f1-3)
Name:          libmpfr
Version:       4.2.1.p1
Release:       1mamba
Summary:       A C library for multiple-precision floating-point computations with exact rounding
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.mpfr.org/
Source:        http://www.mpfr.org/mpfr-current/mpfr-%{pkgver}.tar.bz2
Source1:       libmpfr-autoupdate
Patch0:        libmpfr-%{version}-patchset.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
## AUTOBUILDREQ-END
BuildRequires: libgmp-devel >= 4.1.3
Requires(post):%{__install_info}

%description
The MPFR library is a C library for multiple-precision floating-point computations with exact rounding (also called correct rounding). It is based on the GMP multiple-precision library.
The main goal of MPFR is to provide a library for multiple-precision floating-point computation which is both efficient and has a well-defined semantics.
It copies the good ideas from the ANSI/IEEE-754 standard for double-precision floating-point arithmetic (53-bit mantissa).

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      libgmp-devel >= 4.1.3
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The MPFR library is a C library for multiple-precision floating-point computations with exact rounding (also called correct rounding). It is based on the GMP multiple-precision library.
The main goal of MPFR is to provide a library for multiple-precision floating-point computation which is both efficient and has a well-defined semantics.
It copies the good ideas from the ANSI/IEEE-754 standard for double-precision floating-point arithmetic (53-bit mantissa).
This package contains static libraries and header files needed for development.

%prep
%setup -q -n mpfr-%{pkgver}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}


%post devel
%install_info mpfr.info

%preun devel
%uninstall_info mpfr.info
exit 0

%files
%defattr(-,root,root)
%{_libdir}/libmpfr.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/mpf2mpfr.h
%{_includedir}/mpfr.h
%{_libdir}/libmpfr.a
%{_libdir}/libmpfr.so
%{_infodir}/mpfr.info.*
%dir %{_docdir}/mpfr
%{_docdir}/mpfr
%{_libdir}/pkgconfig/mpfr.pc
%doc BUGS ChangeLog NEWS README TODO

%changelog
* Mon Mar 10 2025 Automatic Build System <autodist@openmamba.org> 4.2.1.p1-1mamba
- automatic version update by autodist

* Wed Aug 23 2023 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Fri May 19 2023 Automatic Build System <autodist@mambasoft.it> 4.2.0.p9-1mamba
- automatic version update by autodist

* Mon May 15 2023 Automatic Build System <autodist@mambasoft.it> 4.2.0.p7-1mamba
- automatic version update by autodist

* Fri Apr 28 2023 Automatic Build System <autodist@mambasoft.it> 4.2.0.p4-1mamba
- automatic version update by autodist

* Sat Jan 07 2023 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Sun Nov 20 2022 Automatic Build System <autodist@mambasoft.it> 4.1.1-1mamba
- automatic version update by autodist

* Thu Aug 20 2020 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Tue Feb 05 2019 Automatic Build System <autodist@mambasoft.it> 4.0.2-1mamba
- automatic version update by autodist

* Sun Feb 18 2018 Automatic Build System <autodist@mambasoft.it> 4.0.1-1mamba
- automatic version update by autodist

* Wed Feb 07 2018 Automatic Build System <autodist@mambasoft.it> 4.0.0-1mamba
- automatic version update by autodist

* Mon Jan 09 2017 Automatic Build System <autodist@mambasoft.it> 3.1.5.p2-1mamba
- automatic version update by autodist

* Sat Oct 01 2016 Automatic Build System <autodist@mambasoft.it> 3.1.5-1mamba
- automatic version update by autodist

* Sat May 07 2016 Automatic Build System <autodist@mambasoft.it> 3.1.4.p1-2mamba
- automatic version update by autodist

* Sat May 07 2016 Automatic Build System <autodist@mambasoft.it> 3.1.4.p1-1mamba
- automatic version update by autodist

* Fri Mar 18 2016 Automatic Build System <autodist@mambasoft.it> 3.1.4-1mamba
- automatic version update by autodist

* Mon Jan 04 2016 Automatic Build System <autodist@mambasoft.it> 3.1.3.p5-2mamba
- automatic version update by autodist

* Mon Jan 04 2016 Automatic Build System <autodist@mambasoft.it> 3.1.3.p5-1mamba
- automatic version update by autodist

* Thu Jul 23 2015 Automatic Build System <autodist@mambasoft.it> 3.1.3.p4-1mamba
- automatic version update by autodist

* Mon Jun 22 2015 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic version update by autodist

* Fri Dec 19 2014 Automatic Build System <autodist@mambasoft.it> 3.1.2.p11-1mamba
- automatic version update by autodist

* Sun Jul 27 2014 Automatic Build System <autodist@mambasoft.it> 3.1.2.p10-3mamba
- automatic version update by autodist

* Sun Jul 27 2014 Automatic Build System <autodist@mambasoft.it> 3.1.2.p10-2mamba
- automatic version update by autodist

* Sun Jul 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2.p10-1mamba
- update to 3.1.2.p10

* Thu Mar 21 2013 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Sat Dec 08 2012 Automatic Build System <autodist@mambasoft.it> 3.1.1-2mamba
- add upstream cumulative patches 01 and 02

* Fri Aug 10 2012 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Mon Apr 16 2012 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Mon Apr 04 2011 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic update by autodist

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 3.0.0-2mamba
- automatic rebuild by autodist

* Sun Jun 27 2010 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic update by autodist

* Sun Mar 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-1mamba
- automatic update by autodist

* Sun Jan 11 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.2-1mamba
- automatic update by autodist

* Thu Mar 06 2008 Aleph0 <aleph0@openmamba.org> 2.3.1-1mamba
- update to 2.3.1

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- update to 2.3.0
- dynamic library added

* Mon Aug 15 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.2-1qilnx
- package created by autospec
